import { IGetEndpointOptions, IOptions } from "./interfaces";
/**
 * @hidden
 */
export declare class Options implements IOptions {
    readonly proxy: IOptions["proxy"];
    readonly cloudProxy: IOptions["cloudProxy"];
    readonly rendersIgnoreProxy: IOptions["rendersIgnoreProxy"];
    readonly endpoint = "namemc.com";
    readonly defaultSkinsModel: IOptions["defaultSkinsModel"];
    constructor(options: IOptions);
    getEndpoint({ subdomain, domain }?: IGetEndpointOptions): string;
}
