"use strict";

var _contexts = require("./contexts");

Object.keys(_contexts).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _contexts[key]) return;
  exports[key] = _contexts[key];
});

var _options = require("./options");

Object.keys(_options).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _options[key]) return;
  exports[key] = _options[key];
});

var _skin = require("./skin");

Object.keys(_skin).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _skin[key]) return;
  exports[key] = _skin[key];
});

var _cloudProxy = require("./cloudProxy");

Object.keys(_cloudProxy).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _cloudProxy[key]) return;
  exports[key] = _cloudProxy[key];
});